using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace JustAddCode.Mobile
{
    public class MobileCapableField : SPFieldText
    {
        public MobileCapableField(SPFieldCollection fields, string typeName, string displayName) : base(fields, typeName, displayName)
        {}

        public MobileCapableField(SPFieldCollection fields, string fieldName) : base(fields, fieldName)
        {}

        public override Microsoft.SharePoint.MobileControls.SPMobileBaseFieldControl FieldRenderingMobileControl
        {
            get
            {
                return new MobileCapableFieldMobileControl();
            }
        }
       
    }
}
