using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;
using System.Web.UI.MobileControls;

namespace JustAddCode.Mobile
{
    public class MobileTestControl : System.Web.UI.MobileControls.MobileControl
    {
        protected override void CreateChildControls()
        {
            try
            {
                using (SPWeb web = SPContext.Current.Web)
                {
                    Label message = new Label();
                    message.Text = string.Format("There are {0} items in the task list", web.Lists["Tasks"].ItemCount);
                    this.Controls.Add(message);
                }
                base.CreateChildControls();
            }
            catch (Exception ex)
            {
                Label l = new Label();
                l.Text = ex.Message;
                this.Controls.Add(l);
            }
        }
    }
}
